# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/nuvoton,npcm845-clk.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Nuvoton NPCM8XX Clock Controller Binding

maintainers:
  - Tomer Maimon <tmaimon77@gmail.com>

description: |
  Nuvoton Arbel BMC NPCM8XX contains an integrated clock controller, which
  generates and supplies clocks to all modules within the BMC.

properties:
  compatible:
    enum:
      - nuvoton,npcm845-clk

  reg:
    maxItems: 1

  '#clock-cells':
    const: 1
    description:
      See include/dt-bindings/clock/nuvoton,npcm8xx-clock.h for the full
      list of NPCM8XX clock IDs.

required:
  - compatible
  - reg
  - '#clock-cells'

additionalProperties: false

examples:
  - |
    ahb {
        #address-cells = <2>;
        #size-cells = <2>;

        clock-controller@f0801000 {
            compatible = "nuvoton,npcm845-clk";
            reg = <0x0 0xf0801000 0x0 0x1000>;
            #clock-cells = <1>;
        };
    };
...
